package emps.v1_nieobiektowo;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

import javax.swing.JOptionPane;

// P4_SredniaJedenJob - użytkownik wpisuje nazwę stanowiska (np Programmer),
//     a program oblicza liczbę pracowników oraz średnią pensję na tym stanowisku

public class P4_SredniaJedenJob {

	public static void main(String[] args) {
		String szukanyJob = JOptionPane.showInputDialog("Podaj nazwę stanowiska");
		
		try(Scanner scanner = new Scanner(new File("emps.csv"))) {
			scanner.nextLine();
			double suma = 0;
			int ile = 0;
			while(scanner.hasNextLine()) {
				String linia = scanner.nextLine();
				String[] t = linia.split(";");
				if(t[3].equals(szukanyJob)) { // ew. Objects.equals(t[3], szukanyJob), gdybyśmy się bali nulla
					suma += Integer.parseInt(t[4]);
					ile++;
				}
			}
			if(ile > 0) {
				double srednia = suma / ile;
				JOptionPane.showMessageDialog(null, String.format(
						"Na stanowisku %s pracuje %d osób.\nŚrednia pensja wynosi %.2f",
						szukanyJob, ile, srednia));
			} else {
				JOptionPane.showMessageDialog(null, String.format("Nikt nie pracuje na stanowisku %s.", szukanyJob),
						"Brak danych", JOptionPane.WARNING_MESSAGE);
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}

}
